<template>
  <main class="team-details">
    <p>{{team.name}}</p>
    <!-- Data iterator -->
    <v-data-iterator
      content-tag="v-layout"
      :items="team.events"
      :rows-per-page-items="rowsPerPageItems"
      :pagination.sync="pagination"
      row
      wrap
    >
      <template v-slot:item="props">
        <v-flex xs12 sm6 md4 lg3>
          <v-card v-if="!props.item.rank">
            <v-card-title>
              <h4>{{ props.item.name }}</h4>
            </v-card-title>
            <v-divider></v-divider>
            <v-list dense>
              <v-list-tile>
                <v-list-tile-content>Nom:</v-list-tile-content>
                <v-list-tile-content class="align-end">{{ props.item.name }}</v-list-tile-content>
              </v-list-tile>
            </v-list>
          </v-card>
        </v-flex>
      </template>
    </v-data-iterator>
  </main>
</template>

<script>
import { TeamsService } from "../services/TeamsService";

export default {
  data() {
    return {
      rowsPerPageItems: [4, 8, 12],
      pagination: {
        rowsPerPage: 4
      },
      team: [],
      //   rowsPerPage: 4
    };
  },
  mounted() {
    const service = new TeamsService();
    service
      .getOne(this.$route.params.id)
      .then(data => (this.team = data))
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style>
</style>
